import * as React from 'react';
import { Switch } from 'react-router';
import { Link, Route } from 'react-router-dom';

import { Main } from './containers/Main';
import { Login as MemberLogin } from './containers/member/Login';
import { Regist as MemberRegist } from './containers/member/Regist';
import NotFound from './NotFound';

import { AgentDetail } from './containers/agent/AgentDetail';
import { Agents } from './containers/agent/Agents';
import { WaitForAuth } from './containers/agent/WaitForAuth';
import { WaitForAuthDetail } from './containers/agent/WaitForAuthDetail';
import { SensorConfig } from './containers/config/SensorConfig';
import { MemberEmailConfirm } from './containers/member/EmailConfirm';
import { MemberRegistResult } from './containers/member/RegistResult';
import { ProveDownload } from './containers/prove/Download';

import { TargetList } from './containers/target/TargetList';
import { TargetDetail } from './containers/target/TargetDetail';
import { DiscoveryResult } from './containers/discovery/DiscoveryResult';

import { NewRes } from './containers/NewRes';

import {DropDownTest} from './containers/test/Sementic001';
import {Page8} from './containers/test/Page8';
import {SignIn} from './containers/test/Page9';
import {PWChange} from './containers/test/Page11';
import {ProbeDown} from './containers/test/Page17';

export class Routes extends React.Component<any, any> {
  render() {
    return (
      <div>
        <h1>React Redux sample</h1>
        <li><Link to='/' >Home</Link></li>
        <li><Link to='/test' >Test</Link></li>
        <li><Link to='/test2' >Test2</Link></li>
        <li><Link to='/test3' >SignIn</Link></li>
        <li><Link to='/test4' >PWChange</Link></li>
        <li><Link to='/test5' >ProbeDown</Link></li>
       


        <Switch>
          <Route exact path='/' component={Main} />
          <Route exact path='/test' component={DropDownTest} />
          <Route exact path='/test2' component={Page8} />
          <Route exact path='/test3' component={SignIn} />
          <Route exact path='/test4' component={PWChange} />
          <Route exact path='/test5' component={ProbeDown} />
          

          <Route component={NotFound} />
        </Switch>

      </div>
    );
  }
}



